Package org.eclipse.emf.cdo.ui

## Class CDOEditorOpener.Registry

- java.lang.Object
- - org.eclipse.net4j.util.event.Notifier
  - - org.eclipse.net4j.util.lifecycle.Lifecycle
    - - org.eclipse.net4j.util.lifecycle.ShareableLifecycle
      - - org.eclipse.net4j.util.container.Container<CDOEditorOpener>
        - - org.eclipse.emf.cdo.ui.CDOEditorOpener.Registry

- All Implemented Interfaces:
    `org.eclipse.net4j.util.container.IContainer<CDOEditorOpener>`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.event.INotifier.INotifier2`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `org.eclipse.net4j.util.lifecycle.ILifecycle`, `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`
  Enclosing interface:
    CDOEditorOpener

      public static class CDOEditorOpener.Registry
      extends org.eclipse.net4j.util.container.Container<CDOEditorOpener>

  Since:
    4.4
  Author:
    Eike Stepper
  No Extend
    This class is not intended to be subclassed by clients.
  No Instantiate
    This class is not intended to be instantiated by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CDOEditorOpener.Registry.EditorOpenerDescriptor` |

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `org.eclipse.net4j.util.container.IContainer.Modifiable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistence<E extends java.lang.Object>`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `org.eclipse.net4j.util.event.INotifier.INotifier2`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CDOEditorOpener.Registry` | `INSTANCE` |

    - ### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `USE_LABEL`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Registry()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addEditorOpener​(CDOEditorOpener editorOpener)` |
    `protected void` | `doActivate()` |
    `CDOEditorOpener` | `getEditorOpener​(java.lang.String id)` |
    `CDOEditorOpener[]` | `getEditorOpeners​(URI uri)` |
    `CDOEditorOpener[]` | `getElements()` |
    `boolean` | `isEmpty()` |
    `IEditorPart` | `openEditor​(IWorkbenchPage page, URI uri)` |
    `void` | `readExtensions()` |
    `void` | `removeEditorOpener​(CDOEditorOpener editorOpener)` |

    - ### Methods inherited from class org.eclipse.net4j.util.container.Container

      `fireContainerEvent, fireContainerEvent, fireContainerEvent, fireElementAddedEvent, fireElementRemovedEvent, fireElementsAddedEvent, fireElementsRemovedEvent, fireEvent, newContainerEvent, newContainerEvent`

    - ### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doAfterActivate, doBeforeActivate, doBeforeDeactivate, doDeactivate, dump, getLifecycleState, isActive, isDeferredActivation, toString`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Notifier

      `addListener, addUniqueListener, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Field Detail

    - #### INSTANCE

          public static final CDOEditorOpener.Registry INSTANCE

  - ### Constructor Detail

    - #### Registry

          public Registry()

  - ### Method Detail

    - #### openEditor

          public IEditorPart openEditor​(IWorkbenchPage page,
                                        URI uri)

    - #### getEditorOpener

          public CDOEditorOpener getEditorOpener​(java.lang.String id)

    - #### getEditorOpeners

          public CDOEditorOpener[] getEditorOpeners​(URI uri)

    - #### addEditorOpener

          public void addEditorOpener​(CDOEditorOpener editorOpener)

    - #### removeEditorOpener

          public void removeEditorOpener​(CDOEditorOpener editorOpener)

    - #### getElements

          public CDOEditorOpener[] getElements()

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `org.eclipse.net4j.util.container.IContainer<CDOEditorOpener>`
      Overrides:
        `isEmpty` in class `org.eclipse.net4j.util.container.Container<CDOEditorOpener>`

    - #### doActivate

          protected void doActivate()
                             throws java.lang.Exception

      Overrides:
        `doActivate` in class `org.eclipse.net4j.util.lifecycle.Lifecycle`
      Throws:
        `java.lang.Exception`

    - #### readExtensions

          public void readExtensions()